KPopupTitle Class Reference

`#include <kpopupmenu.h>`

Inherits QWidget.

## Public Slots

void | setText (const QString &text)
void | setIcon (const QPixmap &pix)

## Public Member Functions

| KPopupTitle (QWidget *parent=0, const char *name=0)
| KPopupTitle (KPixmapEffect::GradientType gradient, const QColor &color, const QColor &textColor, QWidget *parent=0, const char *name=0) KDE_DEPRECATED
| KPopupTitle (const KPixmap &background, const QColor &color, const QColor &textColor, QWidget *parent=0, const char *name=0) KDE_DEPRECATED
void | setTitle (const QString &text, const QPixmap *icon=0)
QString | title () const
QPixmap | icon () const
QSize | sizeHint () const

## Protected Member Functions

void | calcSize ()
void | paintEvent (QPaintEvent *ev)
virtual void | virtual_hook (int id, void *data)

## Protected Attributes

KPixmapEffect::GradientType | grType
QString | titleStr
KPixmap | fill
QPixmap | miniicon
QColor | fgColor
QColor | bgColor
QColor | grHigh
QColor | grLow
bool | useGradient

## Detailed Description

KPopupMenu title widget.

Title widget for use in KPopupMenu.

You usually don't have to create this manually since KPopupMenu::insertTitle will do it for you, but it is allowed if you wish to customize it's look.

Author
  Daniel M. Duley mosfe.nosp@m.t@kd.nosp@m.e.org

Definition at line 38 of file kpopupmenu.h.

## Constructor & Destructor Documentation

KPopupTitle::KPopupTitle | ( | QWidget * | parent = `0`,
|  | const char * | name = `0`
| ) |  |

Constructs a title widget with the user specified gradient, pixmap, and colors.

Definition at line 30 of file kpopupmenu.cpp.

KPopupTitle::KPopupTitle | ( | KPixmapEffect::GradientType | gradient,
|  | const QColor & | color,
|  | const QColor & | textColor,
|  | QWidget * | parent = `0`,
|  | const char * | name = `0`
| ) |  |

Deprecated:
  Constructs a title widget with the specified gradient and colors.

Definition at line 36 of file kpopupmenu.cpp.

KPopupTitle::KPopupTitle | ( | const KPixmap & | background,
|  | const QColor & | color,
|  | const QColor & | textColor,
|  | QWidget * | parent = `0`,
|  | const char * | name = `0`
| ) |  |

Deprecated:
  Constructs a title widget with the specified pixmap and colors.

Definition at line 44 of file kpopupmenu.cpp.

## Member Function Documentation

QPixmap KPopupTitle::icon | ( |  | ) | const

inline

Returns the current icon.

Definition at line 75 of file kpopupmenu.h.

void KPopupTitle::setIcon | ( | const QPixmap & | pix | ) |

slot

Since
  3.1

Definition at line 69 of file kpopupmenu.cpp.

void KPopupTitle::setText | ( | const QString & | text | ) |

slot

Since
  3.1

Definition at line 63 of file kpopupmenu.cpp.

void KPopupTitle::setTitle | ( | const QString & | text,
|  | const QPixmap * | icon = `0`
| ) |  |

Sets the title string and optional icon for the title widget.

You will want to call this before inserting into a menu.

Definition at line 52 of file kpopupmenu.cpp.

QString KPopupTitle::title | ( |  | ) | const

inline

Returns the current title.

Definition at line 71 of file kpopupmenu.h.

The documentation for this class was generated from the following files:

- kpopupmenu.h
- kpopupmenu.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys